Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.jce.crypto
Class MacSpi

    java.lang.Object
      com.mindbright.jce.crypto.MacSpi

Direct Known Subclasses:
  HMAC

public abstract class MacSpi
extends java.lang.Object

Constructor Summary
`MacSpi()`

Method Summary
`java.lang.Object` | `clone()`
`protected abstract byte[]` | `engineDoFinal()`
`protected abstract int` | `engineGetMacLength()`
`protected abstract void` | `engineInit(Key key, AlgorithmParameterSpec params)`
`protected abstract void` | `engineReset()`
`protected abstract void` | `engineUpdate(byte input)`
`protected abstract void` | `engineUpdate(byte[] input, int offset, int len)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MacSpi

    public MacSpi()

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Throws:
    `java.lang.CloneNotSupportedException`

### engineDoFinal

    protected abstract byte[] engineDoFinal()

### engineGetMacLength

    protected abstract int engineGetMacLength()

### engineInit

    protected abstract void engineInit(Key key,
                                       AlgorithmParameterSpec params)
                                throws InvalidKeyException,
                                       InvalidAlgorithmParameterException

  Throws:
    `InvalidKeyException`
    `InvalidAlgorithmParameterException`

### engineReset

    protected abstract void engineReset()

### engineUpdate

    protected abstract void engineUpdate(byte input)

### engineUpdate

    protected abstract void engineUpdate(byte[] input,
                                         int offset,
                                         int len)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD